summaryrefslogtreecommitdiffstats
path: root/system/commons-daemon/commons-daemon.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'system/commons-daemon/commons-daemon.SlackBuild')
-rw-r--r--system/commons-daemon/commons-daemon.SlackBuild90
1 files changed, 90 insertions, 0 deletions
diff --git a/system/commons-daemon/commons-daemon.SlackBuild b/system/commons-daemon/commons-daemon.SlackBuild
new file mode 100644
index 0000000000..96f0ab63b2
--- /dev/null
+++ b/system/commons-daemon/commons-daemon.SlackBuild
@@ -0,0 +1,90 @@
+#!/bin/sh
+
+# Slackware build script for commons-daemon
+
+# Copyright 2008 Heinz Wiesinger <pprkut@liwjatan.at>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=commons-daemon
+VERSION=1.0.1
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf daemon-$VERSION
+tar xvf $CWD/daemon-$VERSION.tar.gz
+cd daemon-$VERSION
+chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+
+ant dist
+
+mkdir -p $PKG/usr/{share/java,bin}
+
+cp dist/commons-daemon.jar $PKG/usr/share/java/
+
+cd src/native/unix/
+ CFLAGS="$SLKCFLAGS" \
+ CXXFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+ make
+ install -m 755 jsvc $PKG/usr/bin/jsvc
+cd -
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/jsvc
+cd dist
+ cp -a docs/api LICENSE NOTICE.txt RELEASE-NOTES.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cd -
+cd src/native/unix/
+ cp -a CHANGES.txt INSTALL.txt $PKG/usr/doc/$PRGNAM-$VERSION/jsvc
+cd -
+cp -a src/docs $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz